## python-multipletau 0.1.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/multipletau.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/multipletau.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/multipletau"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/multipletau"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-multipletau (0.1.4-1) unstable; urgency=low

  * imported version 0.1.4
  * initial debianinization
  * (Closes: #746246)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 05 May 2014 15:43:24 +0200

=== debian/control ===
Source: python-multipletau
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
               python-numpy,
               python3-numpy,
               python3-sphinx
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-multipletau.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-multipletau.git
Homepage: http://paulmueller.github.io/multipletau
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-multipletau
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-numpy
Description: multiple-tau algorithm for Python/NumPy
 Multipe-tau correlation is computed on a logarithmic scale (less
 data points are computed) and is thus much faster than conventional
 correlation on a linear scale such as `numpy.correlate`
 . 
 An online reference is available
 at http://paulmueller.github.io/multipletau
 .
 This is the Python 2 version of the package

Package: python3-multipletau
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy
Description: multiple-tau algorithm for Python/NumPy
 Multipe-tau correlation is computed on a logarithmic scale (less
 data points are computed) and is thus much faster than conventional
 correlation on a linear scale such as `numpy.correlate`
 . 
 An online reference is available
 at http://paulmueller.github.io/multipletau
 .
 This is the Python 3 version of the package

Package: python-multipletau-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for multipletau python module
 This package contains HTML documentation for python-multipletau
 . 
 An online reference is available
 at http://paulmueller.github.io/multipletau

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=multipletau

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

overrdie_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/doc && make html

override_dh_installdocs:
	PYTHONPATH=`pwd` make -C doc html
	dh_installdocs -ppython-multipletau-doc doc/_build/html
	dh_installdocs -A

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-multipletau-$1\.tar\.gz/ \
  https://github.com/paulmueller/multipletau/tags .*/v?(\d\S*)\.tar\.gz

## python-multipletau 0.1.5+ds

=== debian/changelog ===
python-multipletau (0.1.5+ds-3) unstable; urgency=medium

  * d/control: bump Standards-Version, update Vcs-* fields,
    remove python{3}-nose
  * d/rules: use pytest instead of python-nose
  * d/patches/numpy_1.11.0.patch: fix compatibility problem with NumPy_1.11.0
    Closes: #813983

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 10 Feb 2016 14:32:31 +0100

python-multipletau (0.1.5+ds-2) unstable; urgency=medium

  * d/watch: fix watch file
  * d/control: cme fix dpkg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 10 Feb 2016 09:28:06 +0100

python-multipletau (0.1.5+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * cme fix dpkg-control; bumped debhelper to compat level 9

  [ Alexandre Mestiashvili ]
  * d/control: cme fix dpkg, remove python{,3}-numpy dependency, 
    as it should  be resolved by ${python:Depends}
  * d/watch: add +ds suffix, as we delete tests/runtests.py
  * d/copyright: update copyright year and exclude tests/runtests.py blob
  * Imported Upstream version 0.1.5
  * d/control: add python-nose to Build-Depends, add libjs-mathjax to 
    -doc package
  * d/patches/packaged-mathjax.path: use packaged copy of MathJax 
  * d/rules: remove DH_VERBOSE, add stanza for tests, provide a workaround for 
    the lintian's privacy-breach-generic warning, see #739300 for details 
  * d/python-multipletau-doc.install: install examples

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 15 Dec 2015 10:30:01 +0100

=== debian/control ===
Source: python-multipletau
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-numpy,
               python-numpydoc,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-numpy,
               python3-numpydoc,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-multipletau.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-multipletau.git
Homepage: http://paulmueller.github.io/multipletau
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-multipletau
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: multiple-tau algorithm for Python/NumPy
 Multipe-tau correlation is computed on a logarithmic scale (less
 data points are computed) and is thus much faster than conventional
 correlation on a linear scale such as `numpy.correlate`
 .
 An online reference is available
 at http://paulmueller.github.io/multipletau
 .
 This is the Python 2 version of the package

Package: python3-multipletau
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: multiple-tau algorithm for Python3/NumPy
 Multipe-tau correlation is computed on a logarithmic scale (less
 data points are computed) and is thus much faster than conventional
 correlation on a linear scale such as `numpy.correlate`
 .
 An online reference is available
 at http://paulmueller.github.io/multipletau
 .
 This is the Python 3 version of the package

Package: python-multipletau-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for multipletau Python module
 This package contains HTML documentation for python-multipletau
 .
 An online reference is available
 at http://paulmueller.github.io/multipletau

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=multipletau

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html
	# see d/patches/packaged-mathjax.path 
	# Link mathjax in _static
	ln -s /usr/share/javascript/mathjax \
		build/html/_static/mathjax

#override_dh_auto_test:
#	dh_auto_test -- --system=custom --test-args="nosetests -v $(CURDIR)/tests"

override_dh_installdocs:
	dh_installdocs -ppython-multipletau-doc build/html
	dh_installdocs -A

override_dh_sphinxdoc:
	# dh_link creates the link for mathjax after dh_sphinxdoc, so ignore
	# MathJax.js
	dh_sphinxdoc -XMathJax.js

=== debian/watch ===
version=3

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-multipletau-$1\.tar\.gz/,\
dversionmangle=s/\+ds(\.\d+)?$//,repacksuffix=+ds \
  https://github.com/paulmueller/multipletau/tags .*/v?(\d\S*)\.tar\.gz

## python-multipletau 0.1.6+ds

=== debian/changelog ===
python-multipletau (0.1.6+ds-1) unstable; urgency=medium

  * Imported Upstream version 0.1.6+ds
  * Apply cme fix dpkg
  * Add python-pytest-runner and python-pytest to Build-Depends
  * Add unicode_readme.patch, drop numpy_1.11.0.patch
  * Update d/source/options to exclude _version_save.py rubbish
  * Export PYBUILD_TEST_PYTEST to run the tests

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 21 Jul 2016 16:49:26 +0200

## python-multipletau 0.1.7+ds

=== debian/changelog ===
python-multipletau (0.1.7+ds-1) unstable; urgency=medium

  * New upstream version 0.1.7+ds (Closes: #860624)
  * Remove trailing whitespaces from changelog

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 26 Apr 2017 15:00:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,18 @@
                python-all,
                python-numpy,
                python-numpydoc,
+               python-pytest,
+               python-pytest-runner,
                python-setuptools,
                python-sphinx,
                python3-all,
                python3-numpy,
                python3-numpydoc,
+               python3-pytest,
+               python3-pytest-runner,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-multipletau.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-multipletau.git
 Homepage: http://paulmueller.github.io/multipletau

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=multipletau
+export PYBUILD_TEST_PYTEST=1
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -13,9 +14,6 @@
 	ln -s /usr/share/javascript/mathjax \
 		build/html/_static/mathjax
 
-#override_dh_auto_test:
-#	dh_auto_test -- --system=custom --test-args="nosetests -v $(CURDIR)/tests"
-
 override_dh_installdocs:
 	dh_installdocs -ppython-multipletau-doc build/html
 	dh_installdocs -A

## python-multipletau 0.1.9%2Bds

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,15 @@
 
 export PYBUILD_NAME=multipletau
 export PYBUILD_TEST_PYTEST=1
+export LC_ALL=C.UTF-8
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html
-	# see d/patches/packaged-mathjax.path 
+	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
+	# see d/patches/packaged-mathjax.path
 	# Link mathjax in _static
 	ln -s /usr/share/javascript/mathjax \
 		build/html/_static/mathjax

## python-multipletau 0.1.9+ds

=== debian/changelog ===
python-multipletau (0.1.9+ds-1) unstable; urgency=medium

  * Refresh and update patches
    - rm  numpy_1.11.0.patch
    - example_location.patch - fix relative file location while building docs
  * Update d/rules, force UTF8 locale, update docs dir s/doc/docs/
  * Install all examples
  * Bump Standards-Version to 4.1.1
  * Update Files-Excluded and Source URL in d/copyright
  * Update watch file
  * Add python{,3}-mock to Build-Depends - docs dependencies
  * New upstream version 0.1.9+ds

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 20 Oct 2017 23:12:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
+               python-mock,
                python-numpy,
                python-numpydoc,
                python-pytest,
@@ -13,13 +14,14 @@
                python-setuptools,
                python-sphinx,
                python3-all,
+               python3-mock,
                python3-numpy,
                python3-numpydoc,
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-multipletau.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-multipletau.git
 Homepage: http://paulmueller.github.io/multipletau
@@ -28,7 +30,8 @@
 
 Package: python-multipletau
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends}
 Description: multiple-tau algorithm for Python/NumPy
  Multipe-tau correlation is computed on a logarithmic scale (less
  data points are computed) and is thus much faster than conventional
@@ -41,7 +44,8 @@
 
 Package: python3-multipletau
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Description: multiple-tau algorithm for Python3/NumPy
  Multipe-tau correlation is computed on a logarithmic scale (less
  data points are computed) and is thus much faster than conventional
@@ -55,7 +59,9 @@
 Package: python-multipletau-doc
 Architecture: all
 Section: doc
-Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: documentation for multipletau Python module
  This package contains HTML documentation for python-multipletau
  .

=== debian/watch ===
version=3

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)@ARCHIVE_EXT@/python-multipletau-$1\.tar\.gz/,\
dversionmangle=s/\+ds(\.\d+)?$//,repacksuffix=+ds \
  https://github.com/paulmueller/multipletau/tags .*/v?(\d\S*)\.tar\.gz

## python-multipletau 0.3.3%2Bds

=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,3 @@
 	# dh_link creates the link for mathjax after dh_sphinxdoc, so ignore
 	# MathJax.js
 	dh_sphinxdoc -XMathJax.js
-

=== debian/tests/control ===
Test-Command: for p in $(pyversions -s) $(py3versions -s); do $p -m pytest tests/; done
Depends:
 python-pytest,
 python-multipletau,
 python3-pytest,
 python3-multipletau,

## python-multipletau 0.3.3+ds

=== docs/requirements.txt ===
mock
sphinx>=1.6.4

=== debian/changelog ===
python-multipletau (0.3.3+ds-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Andreas Tille ]
  * Python3.12: Replace imp by importlib
    Closes: #1056487
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2023 16:54:53 +0100

python-multipletau (0.3.3+ds-4) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Python Team
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 02 Jan 2022 18:00:50 +0100

python-multipletau (0.3.3+ds-3) unstable; urgency=medium

  * Team upload

  [ Michael Hudson-Doyle ]
  * Do not test dropped Python2 libraries in autopkgtest.
    Closes: #944700

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2019 13:49:14 +0100

python-multipletau (0.3.3+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop Python2 support
    Closes: #937934
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 04 Sep 2019 16:41:07 +0200

python-multipletau (0.3.3+ds-1) unstable; urgency=medium

  * New upstream version 0.3.3+ds

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 11 Dec 2018 09:47:01 +0000

python-multipletau (0.3.2+ds-1) unstable; urgency=medium

  * New upstream version 0.3.2+ds
  * Refresh packaged-mathjax.patch
  * Update uploader's email in d/control

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 05 Nov 2018 13:07:50 +0000

python-multipletau (0.3.0+ds-1) unstable; urgency=medium

  * Update Files-Excluded section, add .readthedocs.yml
  * New upstream version 0.3.0+ds
  * Refresh patches
  * Update d/tests, run upstream tests as autopkgtests

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 01 Nov 2018 15:09:16 +0000

python-multipletau (0.1.9+ds-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix clean target
  * Remove ancient X-Python*-Version fields

 -- Andreas Tille <tille@debian.org>  Tue, 16 Oct 2018 18:01:35 +0200

=== debian/control ===
Source: python-multipletau
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexandre Mestiashvili <mestia@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-mock,
               python3-numpy,
               python3-numpydoc,
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-multipletau
Vcs-Git: https://salsa.debian.org/python-team/packages/python-multipletau.git
Homepage: https://github.com/FCS-analysis/multipletau
Rules-Requires-Root: no

Package: python3-multipletau
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: multiple-tau algorithm for Python3/NumPy
 Multiple-tau correlation is computed on a logarithmic scale (less
 data points are computed) and is thus much faster than conventional
 correlation on a linear scale such as `numpy.correlate`
 .
 An online reference is available
 at http://paulmueller.github.io/multipletau
 .
 This is the Python 3 version of the package

Package: python-multipletau-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: documentation for multipletau Python module
 This package contains HTML documentation for python-multipletau
 .
 An online reference is available
 at http://paulmueller.github.io/multipletau

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## python-multipletau 0.4.1+ds

=== docs/requirements.txt ===
sphinx
sphinxcontrib.bibtex
sphinx_rtd_theme

=== debian/changelog ===
python-multipletau (0.4.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.1
  * Standards-Version: 4.7.0 (routine-update)
  * Refresh patches
  * Update build-dependencies:
    - python3-mock
    + pybuild-plugin-pyproject
    + python3-setuptools-scm
    + python3-sphinx-rtd-theme
  * Use the standard pybuild Testsuite for autopkgtest

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 14:01:31 +0200

python-multipletau (0.3.3+ds-6) unstable; urgency=medium

  * Team upload.

  [ Alexandre Mestiashvili ]
  * Include d/patches/reproducible-build.patch (Closes: #1058681)

  [ Timo Röhling ]
  * Make autopkgtest depend on python3-all (Closes: #1067143)

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Mar 2024 11:27:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,22 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-mock,
                python3-numpy,
                python3-numpydoc,
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 4.6.2
+               python3-setuptools-scm,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-multipletau
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-multipletau.git
 Homepage: https://github.com/FCS-analysis/multipletau
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-multipletau
 Architecture: all
@@ -30,8 +33,6 @@
  .
  An online reference is available
  at http://paulmueller.github.io/multipletau
- .
- This is the Python 3 version of the package
 
 Package: python-multipletau-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,11 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=multipletau
 export PYBUILD_TEST_PYTEST=1
 export LC_ALL=C.UTF-8
+export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
 filenamemangle=s/.+\/v?(\d\S*)@ARCHIVE_EXT@/python-multipletau-$1\.tar\.gz/,\
